config/routes.rb
Rails.application.routes.draw do

  root to: "static#home"
  
  concern :paginatable do
    get '(page/:page)', :action => :index, :on => :collection
  end
  
  concern :searchable do
    get 'search/:search', :action => :search, :on => :collection, as: 'search_result'
    post 'search/', :action => :search, :on => :collection, :as => 'search'
  end
  
  concern :search_paginatable do
    get 'search/:search/(page/:page)', :action => :search, :on => :collection
  end
  
  devise_for :users, path: 'account'
  get '/' => 'static#home', :as => 'home'
  get '/team' => 'static#team', :as => 'team'
  get '/deine-chance' => 'static#youtube', :as => 'deine_chance'
  get '/youtube' => 'static#youtube', :as => 'youtube'
  get '/bewerbung' => 'static#application', :as => 'application'
  get '/team/history' => 'static#team_history', :as => 'team_history'
  get '/maps' => 'static#maps', :as => 'maps'
  get '/premium' => 'static#premium', :as => 'premium'
  get '/statistik' => 'static#statistic', :as => 'statistic'
  get '/kontakt' => 'static#contact', :as => 'contact'
  get '/impressum' => 'static#imprint', :as => 'imprint'
  get '/agb' => 'static#tos', :as => 'tos'
  
  resources :chatlogs, only: [:show]

  resources :users, path: 'players', except: [:edit, :update], param: :name, :concerns => [:searchable] do
    get 'statistic'
    get 'youtube'
  end
  
  resources :users, path: 'players/uuid/', only: [:edit]
  resources :users, path: 'players', only: [:update]
  
  get '/players/uuid/:id/' => 'users#show'
  get '/players/uuid/:id/statistic' => 'users#statistic'
  get '/players/uuid/:id/youtube' => 'users#youtube'
  
  get 'sitemap.xml' => 'sitemap#index'
  
  namespace :dashboard, layout: 'dashboard' do
    get '/' => 'users#online', :as => 'dashboard'
    resources :chatlogs, :concerns => [:searchable, :search_paginatable, :paginatable]
    resources :users, path: 'players', :concerns => [:searchable, :search_paginatable, :paginatable] do
      get 'online', :on => :collection
      get 'chatlogs'
    end
  end
  
end

app/views/shared/_footer.html.slim
footer.page-footer
  - if user_signed_in?
    .fixed-action-btn[style="bottom: 45px; right: 24px;"]
      a.button-collapse.btn-floating.btn-large.show-on-large.bwnet.white-text.user-nav[href="#" data-activates="nav-user"]
        = content_tag(:i, 'person', class: 'material-icons')
  .container
    .row
      .col.l6.s12
        h5.white-text
          | bedwars.network
        p.grey-text.text-lighten-4
          | ist ein Minecraft Servernetzwerk, das sich auf den Spielmodus "Bedwars" spezialisiert hat.
      .col.offset-l3.l3.s12
        h5.white-text
          | Connect
        ul
          li
            = link_to "Twitter", "https://www.twitter.com/bedwarsnetwork", target: "_blank", class: "white-text"
          li
            = link_to "Facebook", "https://www.facebook.com/bedwarsnetwork", target: "_blank", class: "white-text"
          li
            = link_to "YouTube", "https://www.youtube.com/bedwarsnetwork", target: "_blank", class: "white-text"
          li
            = link_to "E-Mail", "mailto:support@bedwars.network", target: "_blank", class: "white-text"
  .footer-copyright
    .container
      p
        |  &copy 
        = Time.now.year
        |  bedwars.network | 
        = link_to "Impressum und Datenschutz", imprint_path(), class: "light-blue-text text-lighten-3"
        |  | 
        = link_to "Allgemeine Geschäftsbedingungen", tos_path(), class: "light-blue-text text-lighten-3"
        - if !user_signed_in?
          |  | 
          = link_to "Anmelden", new_user_session_path(), class: "light-blue-text text-lighten-3"
        |  | design based on 
        = link_to "Materialize", "https://materializecss.com", target: "_blank", class: "light-blue-text text-lighten-3"

app/views/shared/_navigation.html.slim
.navbar-fixed
  nav[role="navigation"]
    .nav-wrapper.container
      = link_to "bedwars.network", home_path(), id: "logo-container", class: "brand-logo white-text"
      ul.right.hide-on-med-and-down
        
        li class=('active' if (params[:controller] == "static" && params[:action] == "team"))
          = link_to "Team", team_path(), class: "white-text"
        li class=('active' if (params[:controller] == "static" && params[:action] == "maps"))
            = link_to "Maps", maps_path(), class: "white-text"
        li class=('active' if (params[:controller] == "static" && params[:action] == "premium"))
            = link_to "Premium", premium_path(), class: "white-text"
        li class=('active' if (params[:controller] == "static" && params[:action] == "statistic"))
            = link_to "Statistik", statistic_path(), class: "white-text"
        li class=('active' if (params[:controller] == "static" && params[:action] == "contact"))
          = link_to "Kontakt", contact_path(), class: "white-text"
      a.button-collapse.white-text.mobile-nav[href="#" data-activates="nav-mobile"]
        i.material-icons
          | menu
ul#nav-mobile.side-nav
  li class=('active' if (params[:controller] == "static" && params[:action] == "home"))
    = link_to(home_path()) do
      = content_tag(:i, 'home', class: 'material-icons')
      | Startseite
  li class=('active' if (params[:controller] == "static" && params[:action] == "team"))
    = link_to(team_path()) do
      = content_tag(:i, 'people', class: 'material-icons')
      | Team
  li class=('active' if (params[:controller] == "static" && params[:action] == "maps"))
    = link_to(maps_path()) do
      = content_tag(:i, 'map', class: 'material-icons')
      | Maps
  li class=('active' if (params[:controller] == "static" && params[:action] == "premium"))
    = link_to(premium_path()) do
      = content_tag(:i, 'star', class: 'material-icons')
      | Premium
  li class=('active' if (params[:controller] == "static" && params[:action] == "statistic"))
    = link_to(statistic_path()) do
      = content_tag(:i, 'pie_chart', class: 'material-icons')
      | Statistik
  li class=('active' if (params[:controller] == "static" && params[:action] == "contact"))
    = link_to(contact_path()) do
      = content_tag(:i, 'email', class: 'material-icons')
      | Kontakt
- if user_signed_in?
  ul#nav-user.side-nav
    li
      .userView
        .bwnet.background
        = link_to(user_path(current_user.name)) do
          = image_tag("https://visage.surgeplay.com/bust/256/#{current_user.id}", class: "circle white")
        = link_to(user_path(current_user.name), class: "white-text") do
          = current_user.name
        - if current_user.rank
          .label.white-text style="background-color: ##{current_user.colorcode}"
            = current_user.rank
        - if current_user.online
          .label.green.white-text
            | online
    li class=('active' if (params[:controller] == "users" && params[:action] == "show" && params[:name] == current_user.name))
          = link_to(user_path(current_user.name)) do
            = content_tag(:i, 'person', class: 'material-icons')
            | Dein Profil
    li class=('active' if (params[:controller] == "users" && params[:action] == "statistic" && params[:name] == current_user.name))
          = link_to(user_statistic_path(current_user.name)) do
            = content_tag(:i, 'pie_chart', class: 'material-icons')
            | Deine Statistik
    - if can? :access, :dashboard
      li
        .divider[style="margin: 20px 0;"]
      li
          = link_to(online_dashboard_users_path()) do
            = content_tag(:i, 'dashboard', class: 'material-icons')
            | Dashboard
    - if content_for?(:actions)
      li
        .divider[style="margin: 20px 0;"]
      = yield(:actions)
    li
      .divider[style="margin: 20px 0;"]
    li
      = link_to(destroy_user_session_path, :method => :delete, class: "red white-text") do
        = content_tag(:i, 'clear', class: 'material-icons white-text')
        | Abmelden

app/views/shared/_piwik.html.slim
javascript:
  $(document).on('turbolinks:load', function() {
    if (window._paq != null) {
      _paq.push(['trackPageView']);
      _paq.push(['setCustomUrl', document.location]);
      _paq.push(['setDocumentTitle', document.title]);
    } else if (window.piwikTracker != null) {
      piwikTracker.trackPageview();
    }
  });
  var _paq = _paq || [];
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  _paq.push(['setCustomUrl', document.location]);
  _paq.push(['setDocumentTitle', document.title]);
  (function() {
    var u="//#{ENV['PIWIK_URL']}/";
    _paq.push(['setTrackerUrl', u+'piwik.php']);
    _paq.push(['setSiteId', #{ENV['PIWIK_ID']}]);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
  })();